/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ActionListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/ActionEvent.html

   https://docs.oracle.com/javase/8/docs/api/javax/swing/Timer.html
   https://docs.oracle.com/javase/8/docs/api/java/util/Timer.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.Timer;

public class InteractiveFrame_Action_Timer
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Timer Action Example");
      jf.setVisible(true);

      Timer timer = new Timer(1_000, new ATListener());
      timer.start();
   }
}

class ATListener implements ActionListener
{
   public void actionPerformed(ActionEvent e){System.out.println(e);}
}
