/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/FocusListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/FocusEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Focus
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Focus Example");
      jf.addFocusListener(new FListener());
      jf.setVisible(true);

      //jf.add(new Button());
      //jf.add(new JPanel());
   }
}

class FListener implements FocusListener
{
   public void focusGained(FocusEvent e){System.out.println(e);}
   public void focusLost  (FocusEvent e){System.out.println(e);}
}
