/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/KeyListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/KeyEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Keys
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Keyboard Example");
      jf.addKeyListener(new KListener());
      jf.setVisible(true);

      //jf.add(new Button());
      //jf.add(new JPanel());
   }
}

class KListener implements KeyListener
{
   public void keyPressed (KeyEvent e){System.out.println(e);}
   public void keyReleased(KeyEvent e){System.out.println(e);}
   public void keyTyped   (KeyEvent e){System.out.println(e);}
}
