/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Mouse
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Example");
      jf.addMouseListener(new MListener());
      jf.setVisible(true);

      //jf.add(new Button());
      //jf.add(new JPanel());
   }
}

class MListener implements MouseListener
{
   public void mouseClicked (MouseEvent e){System.out.println(e);}
   public void mouseEntered (MouseEvent e){System.out.println(e);}
   public void mouseExited  (MouseEvent e){System.out.println(e);}
   public void mousePressed (MouseEvent e){System.out.println(e);}
   public void mouseReleased(MouseEvent e){System.out.println(e);}
}
