/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseMotionListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Mouse_Motion
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Motion Example");
      jf.addMouseMotionListener(new MMListener());
      jf.setVisible(true);

      //jf.add(new Button());
      //jf.add(new JPanel());
   }
}

class MMListener implements MouseMotionListener
{
   public void mouseDragged(MouseEvent e){System.out.println(e);}
   public void mouseMoved  (MouseEvent e){System.out.println(e);}
}
