/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseWheelListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/MouseWheelEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Mouse_Wheel
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Mouse Wheel Example");
      jf.addMouseWheelListener(new MWListener());
      jf.setVisible(true);

      //jf.add(new Button());
      //jf.add(new JPanel());
   }
}

class MWListener implements MouseWheelListener
{
   public void mouseWheelMoved(MouseWheelEvent e){System.out.println(e);}
}
