/**
   https://docs.oracle.com/javase/8/docs/api/java/awt/event/WindowListener.html

   https://docs.oracle.com/javase/8/docs/api/java/awt/event/WindowEvent.html
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class InteractiveFrame_Window
{
   public static void main(String[] args)
   {
      JFrame jf = new JFrame("Window Example");
      jf.addWindowListener(new WListener());
      jf.setVisible(true);
   }
}

class WListener implements WindowListener
{
   public void windowOpened     (WindowEvent e){System.out.println(e);}
   public void windowActivated  (WindowEvent e){System.out.println(e);}
   public void windowDeactivated(WindowEvent e){System.out.println(e);}
   public void windowIconified  (WindowEvent e){System.out.println(e);}
   public void windowDeiconified(WindowEvent e){System.out.println(e);}
   public void windowClosing    (WindowEvent e){System.out.println(e);}
   public void windowClosed     (WindowEvent e){System.out.println(e);}
}
